Update a collection partially
Authorization
BearerAuth AuthorizationBearer <token>
API authentication via Authorization: Bearer <your-api-key>. Obtain
your API key from Config → API in the Aplas web app.
In: header
Path Parameters
indexId*string
The id of the containing index
collectionId*string
The id of the collection to update
Request Body
application/json
The collection to update (partial properties of the collection allowed)
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PATCH "https://api.au.aplas.com/api/v2/index/id/collection/id" \ -H "Content-Type: application/json" \ -d '{ "id": "id", "name": "Collection A", "tagIds": [ "id_tag" ], "description": "More information", "status": "Standard", "customFieldA": "Custom Field Value", "customFieldB": [ "alias1", "alias2" ], "items": [ { "applicationId": "application_id", "label": "This item is an application" }, { "integrationId": "integration_id", "label": "This item is an integration" } ] }'Empty
{
"code": 500,
"message": "Internal server error"
}